FreeMat

- Main Page
- Related Pages

vtkEdgePoints

Section: Visualization Toolkit Graphics Classes

# Usage

vtkEdgePoints is a filter that takes as input any dataset and generates for output a set of points that lie on an isosurface. The points are created by interpolation along cells edges whose end-points are below and above the contour value.

To create an instance of class vtkEdgePoints, simply invoke its constructor as follows

      obj = vtkEdgePoints

# Methods

The class vtkEdgePoints has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkEdgePoints class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkEdgePoints = obj.NewInstance ()`
- `vtkEdgePoints = obj.SafeDownCast (vtkObject o)`
- `obj.SetValue (double )` - Set/get the contour value.
- `double = obj.GetValue ()` - Set/get the contour value.